/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package es.uja.ssmmaa.curso1920.juegotablero.gui;

import es.uja.ssmmaa.curso1920.ontologia.Vocabulario.TipoServicio;
import jade.core.AID;
import java.util.Deque;
import java.util.Iterator;

/**
 *
 * @author pedroj
 */
public class AgentesJuegoJPanel extends javax.swing.JPanel {
    
    /**
     * Creates new form AgentesJuegoJPanel
     */
    public AgentesJuegoJPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        organizador = new javax.swing.JTextArea();
        jScrollPane3 = new javax.swing.JScrollPane();
        jugador = new javax.swing.JTextArea();
        jScrollPane4 = new javax.swing.JScrollPane();
        tablero = new javax.swing.JTextArea();
        jLabel4 = new javax.swing.JLabel();

        jLabel2.setFont(new java.awt.Font("Arial", 1, 14)); // NOI18N
        jLabel2.setText("Agentes ORGANIZADOR");

        jLabel3.setFont(new java.awt.Font("Arial", 1, 14)); // NOI18N
        jLabel3.setText("Agentes TABLERO");

        organizador.setEditable(false);
        organizador.setColumns(20);
        organizador.setFont(new java.awt.Font("Courier New", 0, 14)); // NOI18N
        organizador.setRows(5);
        jScrollPane2.setViewportView(organizador);

        jugador.setEditable(false);
        jugador.setColumns(20);
        jugador.setFont(new java.awt.Font("Courier New", 0, 14)); // NOI18N
        jugador.setRows(5);
        jScrollPane3.setViewportView(jugador);

        tablero.setEditable(false);
        tablero.setColumns(20);
        tablero.setFont(new java.awt.Font("Courier New", 0, 14)); // NOI18N
        tablero.setRows(5);
        jScrollPane4.setViewportView(tablero);

        jLabel4.setFont(new java.awt.Font("Arial", 1, 14)); // NOI18N
        jLabel4.setText("Agentes JUGADOR");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 173, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 173, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 173, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane3)
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 577, Short.MAX_VALUE)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    public void addAgentes(TipoServicio servicio, Deque<AID> listaAgentes) {
        Iterator it;
        AID agente;
        
        switch ( servicio ) {
            case JUGADOR:
                this.jugador.setText(null);
                it = listaAgentes.iterator();
                while ( it.hasNext() ) {
                    agente = (AID) it.next();
                    this.jugador.append(agente.getLocalName() + "\n");
                }
                break;
            case TABLERO:
                this.tablero.setText(null);
                it = listaAgentes.iterator();
                while ( it.hasNext() ) {
                    agente = (AID) it.next();
                    this.tablero.append(agente.getLocalName() + "\n");
                }
                break;
            case ORGANIZADOR:
                this.organizador.setText(null);
                it = listaAgentes.iterator();
                while ( it.hasNext() ) {
                    agente = (AID) it.next();
                    this.organizador.append(agente.getLocalName() + "\n");
                }
                break;
            default:
                throw new AssertionError(servicio.name());
        }  
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JTextArea jugador;
    private javax.swing.JTextArea organizador;
    private javax.swing.JTextArea tablero;
    // End of variables declaration//GEN-END:variables
}
